summaryrefslogtreecommitdiff
path: root/.gitlab-ci/build-wayland.sh
diff options
context:
space:
mode:
Diffstat (limited to '.gitlab-ci/build-wayland.sh')
-rwxr-xr-x.gitlab-ci/build-wayland.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/.gitlab-ci/build-wayland.sh b/.gitlab-ci/build-wayland.sh
new file mode 100755
index 000000000..c74e845a4
--- /dev/null
+++ b/.gitlab-ci/build-wayland.sh
@@ -0,0 +1,17 @@
+#!/usr/bin/env bash
+# shellcheck disable=SC2086 # we want word splitting
+
+set -ex
+
+# When changing this file, you need to bump the following .gitlab-ci.yml tag:
+# FDO_DISTRIBUTION_TAG
+
+export WAYLAND_PROTOCOLS_VERSION="1.24"
+
+git clone https://gitlab.freedesktop.org/wayland/wayland-protocols
+cd wayland-protocols
+git checkout "$WAYLAND_PROTOCOLS_VERSION"
+meson setup _build $EXTRA_MESON_ARGS
+meson install -C _build
+cd ..
+rm -rf wayland-protocols